Up

# NSBackgroundActivityScheduler class documentation

### Authors

Generated by Debian

# Software documentation for the NSBackgroundActivityScheduler class

## NSBackgroundActivityScheduler : NSObject

> Declared in:
>   Foundation/NSBackgroundActivityScheduler.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Instance Variables
Method summary

- -identifier
- -initWithIdentifier:
- -interval
- -invalidate
- -qualityOfService
- -repeats
- -scheduleWithBlock:
- -setIdentifier:
- -setInterval:
- -setQualityOfService:
- -setRepeats:
- -setShouldDefer:
- -setTolerance:
- -shouldDefer
- -tolerance

### identifier

- (NSString*) identifier;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### initWithIdentifier:

- (instancetype) initWithIdentifier: (NSString*)identifier;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### interval

- (NSTimeInterval) interval;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### invalidate

- (void) invalidate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### qualityOfService

- (NSQualityOfService) qualityOfService;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### repeats

- (BOOL) repeats;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### scheduleWithBlock:

- (void) scheduleWithBlock: (GSScheduledBlock)block;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setIdentifier:

- (void) setIdentifier: (NSString*)identifier;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setInterval:

- (void) setInterval: (NSTimeInterval)interval;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setQualityOfService:

- (void) setQualityOfService: (NSQualityOfService)qualityOfService;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setRepeats:

- (void) setRepeats: (BOOL)flag;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setShouldDefer:

- (void) setShouldDefer: (BOOL)flag;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setTolerance:

- (void) setTolerance: (NSTimeInterval)tolerance;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### shouldDefer

- (BOOL) shouldDefer;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### tolerance

- (NSTimeInterval) tolerance;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

## Instance Variables for NSBackgroundActivityScheduler Class

### _identifier

@protected NSString* _identifier;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _interval

@protected NSTimeInterval _interval;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _opts

@protected NSActivityOptions _opts;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _qualityOfService

@protected NSQualityOfService _qualityOfService;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _reason

@protected NSString* _reason;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _repeats

@protected BOOL _repeats;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _shouldDefer

@protected BOOL _shouldDefer;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _timer

@protected NSTimer* _timer;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _token

@protected id _token;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _tolerance

@protected NSTimeInterval _tolerance;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up